Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.utils.wsdl
Class Messages

    java.lang.Object
      java.util.ResourceBundle
          org.apache.ode.utils.msg.MessageBundle
              org.apache.ode.utils.wsdl.Messages

    public class Messages

extends MessageBundle

Field Summary

Fields inherited from class java.util.ResourceBundle
`parent`

Constructor Summary
`Messages()`

Method Summary
`java.lang.Throwable` | `msgBindingDefinesNonElementDocListParts()`
`java.lang.Throwable` | `msgBindingInputNotFound(javax.xml.namespace.QName serviceName, java.lang.String portName, java.lang.String name)`
`java.lang.String` | `msgBindingNotFound(java.lang.String portName)`
`java.lang.Throwable` | `msgBindingOperationNotFound(javax.xml.namespace.QName serviceName, java.lang.String portName, java.lang.String name)`
`java.lang.Throwable` | `msgBindingOutputNotFound(javax.xml.namespace.QName serviceName, java.lang.String portName, java.lang.String name)`
`java.lang.String` | `msgDuplicateWSDLImport(java.lang.String tns, java.lang.String location)` Attempted to import WSDL for namespace {0} from multiple locations: definitions from {1} will be ignored
`java.lang.String` | `msgMultipleAddressesForPort(java.lang.String portName)` Multiple addresses for port {0}
`java.lang.String` | `msgMultipleBindings(javax.xml.namespace.QName bindingName)` Port {0} has multiple binding elements
`java.lang.String` | `msgMultipleBindingsForOperation(java.lang.String operationName)` Opeartion {0} has multiple binding elements
`java.lang.String` | `msgMultipleMimeContent()`
`java.lang.String` | `msgNoAddressForPort(java.lang.String portName)` No address for port {0}
`java.lang.String` | `msgNoBinding(javax.xml.namespace.QName bindingName)` No or for port {0}
`java.lang.String` | `msgNoBindingForOperation(java.lang.String operationName)` No or for operation {0}
`java.lang.String` | `msgNoHTTPBindingForPort(java.lang.String name)` No HTTP binding for port: {0}
`java.lang.String` | `msgNoSOAPBindingForPort(java.lang.String name)` No SOAP binding for port: {0}
`java.lang.Throwable` | `msgOdeMessageExpected()`
`java.lang.Throwable` | `msgOdeMessageMissingRequiredPart(java.lang.String partName)`
`java.lang.Throwable` | `msgOdeMessagePartMissingRequiredElement(javax.xml.namespace.QName serviceName, java.lang.String portName, java.lang.String opname, javax.xml.namespace.QName elementName)`
`java.lang.String` | `msgPortDefinitionNotFound(javax.xml.namespace.QName serviceName, java.lang.String portName)`
`java.lang.String` | `msgServiceDefinitionNotFound(javax.xml.namespace.QName serviceName)`
`java.lang.Throwable` | `msgSOAPBodyDoesNotContainAllRequiredParts()`
`java.lang.Throwable` | `msgSoapBodyDoesNotContainExpectedPartWrapper(javax.xml.namespace.QName serviceName, java.lang.String portName, javax.xml.namespace.QName rpcWrapQName)`
`java.lang.Throwable` | `msgSOAPBodyDoesNotContainRequiredPart(java.lang.String name)`
`java.lang.Throwable` | `msgSoapHeaderMissingRequiredElement(javax.xml.namespace.QName elementType)`
`java.lang.Throwable` | `msgSoapHeaderMustBeAnElement(org.w3c.dom.Node headerNode)`
`java.lang.Throwable` | `msgSoapHeaderReferencesUnkownPart(java.lang.String part)`
`java.lang.Throwable` | `msgUndefinedFault(javax.xml.namespace.QName serviceName, java.lang.String portName, java.lang.String opname, javax.xml.namespace.QName faultName)`
`java.lang.Throwable` | `msgUnexpectedBindingClass(java.lang.Class passedClass)`
`java.lang.Throwable` | `msgUnexpectedElementInSOAPBody(javax.xml.namespace.QName name, javax.xml.namespace.QName elementName)`
`java.lang.String` | `msgWsdlImportNotFound(java.lang.String wsdlUri, java.lang.String location)` The WSDL for namespace "{0}" could not be found in "{1}".

Methods inherited from class org.apache.ode.utils.msg.MessageBundle
`format, format, getKeys, getMessages, getMessages, handleGetObject, todo`

Methods inherited from class java.util.ResourceBundle
`getBundle, getBundle, getBundle, getLocale, getObject, getString, getStringArray, setParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Messages

    public Messages()

Method Detail

### msgDuplicateWSDLImport

    public java.lang.String msgDuplicateWSDLImport(java.lang.String tns,
                                                   java.lang.String location)

  Attempted to import WSDL for namespace {0} from multiple locations: definitions from {1} will be ignored

### msgWsdlImportNotFound

    public java.lang.String msgWsdlImportNotFound(java.lang.String wsdlUri,
                                                  java.lang.String location)

  The WSDL for namespace "{0}" could not be found in "{1}".

### msgNoBindingForOperation

    public java.lang.String msgNoBindingForOperation(java.lang.String operationName)

  No or for operation {0}

### msgMultipleBindingsForOperation

    public java.lang.String msgMultipleBindingsForOperation(java.lang.String operationName)

  Opeartion {0} has multiple binding elements

### msgNoBinding

    public java.lang.String msgNoBinding(javax.xml.namespace.QName bindingName)

  No or for port {0}

### msgMultipleBindings

    public java.lang.String msgMultipleBindings(javax.xml.namespace.QName bindingName)

  Port {0} has multiple binding elements

### msgNoHTTPBindingForPort

    public java.lang.String msgNoHTTPBindingForPort(java.lang.String name)

  No HTTP binding for port: {0}

### msgNoSOAPBindingForPort

    public java.lang.String msgNoSOAPBindingForPort(java.lang.String name)

  No SOAP binding for port: {0}

### msgNoAddressForPort

    public java.lang.String msgNoAddressForPort(java.lang.String portName)

  No address for port {0}

### msgMultipleAddressesForPort

    public java.lang.String msgMultipleAddressesForPort(java.lang.String portName)

  Multiple addresses for port {0}

### msgSOAPBodyDoesNotContainAllRequiredParts

    public java.lang.Throwable msgSOAPBodyDoesNotContainAllRequiredParts()

### msgSoapHeaderMustBeAnElement

    public java.lang.Throwable msgSoapHeaderMustBeAnElement(org.w3c.dom.Node headerNode)

### msgSoapHeaderMissingRequiredElement

    public java.lang.Throwable msgSoapHeaderMissingRequiredElement(javax.xml.namespace.QName elementType)

### msgUndefinedFault

    public java.lang.Throwable msgUndefinedFault(javax.xml.namespace.QName serviceName,
                                                 java.lang.String portName,
                                                 java.lang.String opname,
                                                 javax.xml.namespace.QName faultName)

### msgOdeMessagePartMissingRequiredElement

    public java.lang.Throwable msgOdeMessagePartMissingRequiredElement(javax.xml.namespace.QName serviceName,
                                                                       java.lang.String portName,
                                                                       java.lang.String opname,
                                                                       javax.xml.namespace.QName elementName)

### msgBindingDefinesNonElementDocListParts

    public java.lang.Throwable msgBindingDefinesNonElementDocListParts()

### msgUnexpectedElementInSOAPBody

    public java.lang.Throwable msgUnexpectedElementInSOAPBody(javax.xml.namespace.QName name,
                                                              javax.xml.namespace.QName elementName)

### msgSOAPBodyDoesNotContainRequiredPart

    public java.lang.Throwable msgSOAPBodyDoesNotContainRequiredPart(java.lang.String name)

### msgSoapBodyDoesNotContainExpectedPartWrapper

    public java.lang.Throwable msgSoapBodyDoesNotContainExpectedPartWrapper(javax.xml.namespace.QName serviceName,
                                                                            java.lang.String portName,
                                                                            javax.xml.namespace.QName rpcWrapQName)

### msgSoapHeaderReferencesUnkownPart

    public java.lang.Throwable msgSoapHeaderReferencesUnkownPart(java.lang.String part)

### msgOdeMessageExpected

    public java.lang.Throwable msgOdeMessageExpected()

### msgOdeMessageMissingRequiredPart

    public java.lang.Throwable msgOdeMessageMissingRequiredPart(java.lang.String partName)

### msgUnexpectedBindingClass

    public java.lang.Throwable msgUnexpectedBindingClass(java.lang.Class passedClass)

### msgPortDefinitionNotFound

    public java.lang.String msgPortDefinitionNotFound(javax.xml.namespace.QName serviceName,
                                                      java.lang.String portName)

### msgBindingOperationNotFound

    public java.lang.Throwable msgBindingOperationNotFound(javax.xml.namespace.QName serviceName,
                                                           java.lang.String portName,
                                                           java.lang.String name)

### msgBindingInputNotFound

    public java.lang.Throwable msgBindingInputNotFound(javax.xml.namespace.QName serviceName,
                                                       java.lang.String portName,
                                                       java.lang.String name)

### msgBindingOutputNotFound

    public java.lang.Throwable msgBindingOutputNotFound(javax.xml.namespace.QName serviceName,
                                                        java.lang.String portName,
                                                        java.lang.String name)

### msgServiceDefinitionNotFound

    public java.lang.String msgServiceDefinitionNotFound(javax.xml.namespace.QName serviceName)

### msgBindingNotFound

    public java.lang.String msgBindingNotFound(java.lang.String portName)

### msgMultipleMimeContent

    public java.lang.String msgMultipleMimeContent()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD